#!/bin/bash
#
# Miscellaneous steps to prepare the root filesystem
#
#
# Copyright 2001-2004, Broadcom Corporation
# All Rights Reserved.
#
# THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
# KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
# SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
# FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
#

set -x

ROOTDIR=$PWD
TOP=${SRCBASE}/apps

# tmp
mkdir -p var
mkdir -p tmp
ln -sf /tmp/var/lock var/lock
ln -sf /tmp/var/log var/log
ln -sf /tmp/var/run var/run
ln -sf /tmp/var/tmp var/tmp
mkdir -p var/lib
ln -sf /tmp/var/lib/nfs var/lib/nfs
(cd $ROOTDIR/usr && ln -sf ../tmp)

# dev
mkdir -p dev

# etc
mkdir -p etc
echo "/lib" > etc/ld.so.conf
echo "/usr/lib" >> etc/ld.so.conf
echo "order hosts,bind" > etc/host.conf
echo "hosts: files dns" > etc/nsswitch.conf
ln -sf /tmp/resolv.conf etc/resolv.conf
ln -sf /tmp/hosts etc/hosts
ln -sf /tmp/hostid etc/hostid
#disknum
ln -sf /tmp/diskstatus etc/disknum
/sbin/ldconfig -r $ROOTDIR
install -m 444 $TOP/misc/image_vars.txt etc/image_vars.txt
# startup script(s)
mkdir -p etc/init_scripts
install -m 555 $TOP/misc/bcmgpiosetup.sh etc/init_scripts/bcmgpiosetup.sh
install -m 555 $TOP/misc/gpioverystart.sh etc/init_scripts/gpioverystart.sh
install -m 555 $TOP/misc/gpiostopsystem.sh etc/init_scripts/gpiostopsystem.sh
install -m 555 $TOP/misc/gpiostatus.sh etc/init_scripts/gpiostatus.sh
install -m 555 $TOP/misc/rcsysver etc/init_scripts/rcsysver
install -m 555 $TOP/misc/reset_machine_name sbin/reset_machine_name
install -m 555 $TOP/misc/start_ms sbin/start_ms
install -m 555 $TOP/misc/rebuild_dms_ds sbin/rebuild_dms_ds
install -m 555 $TOP/misc/rcerase sbin/rcerase
install -m 555 $TOP/misc/start_hpScript sbin/start_hpScript

# miscellaneous
mkdir -p mnt
mkdir -p proc
mkdir -p shares
mkdir -p foreign_shares

# for vsftpd - BBB
mkdir -p usr/share/empty

#http related links
ln -sf /www/English/common www/English/share_browsing/common
ln -sf /www/English/share_browsing/browse_shares_frame.asp www/English/share_browsing/index.asp
ln -sf /www/English/share_browsing www/English/share_browsing/share_browsing
ln -sf /www/French/common www/French/share_browsing/common
ln -sf /www/French/share_browsing/browse_shares_frame.asp www/French/share_browsing/index.asp
ln -sf /www/French/share_browsing www/French/share_browsing/share_browsing
ln -sf /www/Italian/common www/Italian/share_browsing/common
ln -sf /www/Italian/share_browsing/browse_shares_frame.asp www/Italian/share_browsing/index.asp
ln -sf /www/Italian/share_browsing www/Italian/share_browsing/share_browsing
ln -sf /www/German/common www/German/share_browsing/common
ln -sf /www/German/share_browsing/browse_shares_frame.asp www/German/share_browsing/index.asp
ln -sf /www/German/share_browsing www/German/share_browsing/share_browsing
ln -sf /www/Spanish/common www/Spanish/share_browsing/common
ln -sf /www/Spanish/share_browsing/browse_shares_frame.asp www/Spanish/share_browsing/index.asp
ln -sf /www/Spanish/share_browsing www/Spanish/share_browsing/share_browsing
